com.google.cloud.dataflow.sdk.transforms.windowing

## Class BoundedWindow

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.BoundedWindow

Direct Known Subclasses:
  GlobalWindow, IntervalWindow

    public abstract class BoundedWindow
    extends Object

A `BoundedWindow` represents a finite grouping of elements, with an upper bound (larger timestamps represent more recent data) on the timestamps of elements that can be placed in the window. This finiteness means that for every window, at some point in time, all data for that window will have arrived and can be processed together.

Windows must also implement `Object.equals(java.lang.Object)` and `Object.hashCode()` such that windows that are logically equal will be treated as equal by `equals()` and `hashCode()`.

### Field Summary

Fields
`static Instant` `TIMESTAMP_MAX_VALUE`
`static Instant` `TIMESTAMP_MIN_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`BoundedWindow()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Instant` `maxTimestamp()` Returns the inclusive upper bound of timestamps for values in this window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TIMESTAMP_MIN_VALUE

    public static final Instant TIMESTAMP_MIN_VALUE

#### TIMESTAMP_MAX_VALUE

    public static final Instant TIMESTAMP_MAX_VALUE

### Constructor Detail

#### BoundedWindow

    public BoundedWindow()

### Method Detail

#### maxTimestamp

    public abstract Instant maxTimestamp()

Returns the inclusive upper bound of timestamps for values in this window.